import request from "@/utils/request";

/**
 * 通过id获取报故详情
 *
 * @param queryParams
 */
export function getEscalationFaultById(id: any) {
  return request({
    url: "/api/v1/process/escalationFault/get/" + `${id}`,
    method: "get",
  });
}

export function addRework(data: any) {
  return request({
    url: "/api/v1/rework/record/add",
    method: "post",
    data,
  });
}
export function addRework1(data: any) {
  return request({
    url: "/api/v1/error/add",
    method: "post",
    data,
  });
}
export function delError(data: any) {
  return request({
    url: "/api/v1/error/del",
    method: "post",
    data,
  });
}

export function getList(data: any) {
  return request({
    url: "/api/v1/rework/record/page",
    method: "post",
    data,
  });
}
export function getList1(data: any) {
  return request({
    url: "/api/v1/error/page",
    method: "post",
    data,
  });
}

export function getReworkList(data: any) {
  return request({
    url: "/api/v1/baseRework/list",
    method: "post",
    data,
  });
}
